Re: Software fuer Grundrisse und Raumplanung

Autor: Thomas Stiefel <Tom_at_vTux.de>
Datum: Fri, 21 Mar 2014 00:05:47 +0100
On 20.03.2014 23:08, Raphael Eiselstein wrote:
> On Thu, Mar 20, 2014 at 09:21:29AM +0100, Thomas Stiefel wrote:
>>     Hi Rddaphael,
>>     probier mal Sweet Home 3D. Hatte ich auch genutzt für die Planung als
> Ich hab verschiedene Möglichkeiten versucht, startbar war nur die
> Version via Java web Start direkt auf der Seite. Stürzt allerdings nach
> einigen Aktionen ab.
>
> Der Tarball für Linux x64
> (md5:58bcb06d3789674afcd0a8abb7074441 SweetHome3D-4.3-linux-x64.tgz)
> wird einfach ausgepackt, es gibt darin ein Startscript ./SweetHome3D
>
> Starte ich das, dann fällt das integrierte JRE version: 6.0_45-b06 auf
> die Nase:
>
> Java 3D: implicit antialiasing enabled
> ...
>
Komisch, ich habe mir den oben genannten Tarball runtergeladen, entpackt 
und das Programm über das enthaltene Startscript ./SweetHome3D 
aufgerufen. Es ist sowohl auf meinem Laptop mit Linux Mint 16 Petra 
(basierend auf Ubuntu 13.10, Saucy Salamander)
als auch auf meinen Desktop mit Linux Mint 13 Maya (basierend auf Ubuntu 
12.04.4 LTS, Precise Pangolin) ohne Fehlermeldung gestartet.

> So auf den ersten Blick: Probleme mit der Grafikbibliothek (libGL)
>
> Im error-Logfile finden sich zahlreiche Hinweise auf geladene Libraries,
> u.a. auch sowas wie /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
>
Hast Du das Paket installiert?

$ > dpkg -S /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
libgl1-mesa-dri: /usr/lib/x86_64-linux-gnu/dri/i965_dri.so

> Also irgendwie bin ich mir unsicher ob mein System (ubuntu raring /
> 13.04) zu neu oder zu alt ist, das mitgelieferte Java 6 ist immerhin
> schon deutlich veraltet.
>
> Ich muss mal experimentieren mit den diversen zeitgemäßen
> Java-Distributionen, die bei ubuntu mitgeliefert werden und ob es dann
> besser läuft als mit dem mitgelieferten JRE.
>
Ich glaube kaum, dass 13.04 zu alt oder zu ist, wenn es auf 13.10 bzw. 
12.04. läuft. Im Herst 2012 lief es auch unter 12.04.
Ich vermute auch, dass es nicht an der Java-Version liegt, sondern eher 
an fehlenden Grafik Libraries für die 3D-Funktionen von Java.
Hast Du denn schon mal versucht die 3D-Features in Sweet Home 3D zu 
deaktivieren?

Gruß Tom


-- 
UUGRN e.V. http://www.uugrn.org/
http://mailman.uugrn.org/mailman/listinfo/uugrn
Wiki: https://wiki.uugrn.org/UUGRN:Mailingliste
Archiv: http://lists.uugrn.org/
Empfangen am 21.03.2014

Dieses Archiv wurde generiert von hypermail 2.2.0 : 21.03.2014 CET